aboutsummaryrefslogtreecommitdiff
path: root/src/desktop-lite/install.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/desktop-lite/install.sh')
-rw-r--r--src/desktop-lite/install.sh16
1 files changed, 15 insertions, 1 deletions
diff --git a/src/desktop-lite/install.sh b/src/desktop-lite/install.sh
index aeddac3..ac149c4 100644
--- a/src/desktop-lite/install.sh
+++ b/src/desktop-lite/install.sh
@@ -56,6 +56,11 @@ package_list="
nano \
locales"
+# Packages to attempt to install if essential tools are missing (ie: vncpasswd).
+# This is useful, at least, for Ubuntu 22.04 (jammy)
+package_list_additional="
+ tigervnc-tools"
+
set -e
if [ "$(id -u)" -ne 0 ]; then
@@ -164,6 +169,10 @@ check_packages() {
fi
}
+##########################
+# Install starts here #
+##########################
+
# Ensure apt is in non-interactive to avoid prompts
export DEBIAN_FRONTEND=noninteractive
@@ -191,6 +200,12 @@ fi
# Install X11, fluxbox and VS Code dependencies
check_packages ${package_list}
+# On newer versions of Ubuntu (22.04),
+# we need an additional package that isn't provided in earlier versions
+if ! type vncpasswd > /dev/null 2>&1; then
+ check_packages ${package_list_additional}
+fi
+
# Install Emoji font if available in distro - Available in Debian 10+, Ubuntu 18.04+
if dpkg-query -W fonts-noto-color-emoji > /dev/null 2>&1 && ! dpkg -s fonts-noto-color-emoji > /dev/null 2>&1; then
apt-get -y install --no-install-recommends fonts-noto-color-emoji
@@ -391,4 +406,3 @@ In both cases, use the password "${VNC_PASSWORD}" when connecting
(*) Done!
EOF
-